ASN1RecodeOer Class Reference

`#include <CodecOer.hh>`

Inheritance diagram for ASN1RecodeOer:

## Protected Member Functions

int | xer2oer (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | oer2xer (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | recode (const asn_TYPE_descriptor_s &td, int from, int to, TTCN_Buffer &buf)

## Member Function Documentation

## oer2xer()

int ASN1RecodeOer::oer2xer | ( | const asn_TYPE_descriptor_s & | td,
|  | TTCN_Buffer & | buf
| ) |  |

protected

## recode()

int ASN1RecodeOer::recode | ( | const asn_TYPE_descriptor_s & | td,
|  | int | from,
|  | int | to,
|  | TTCN_Buffer & | buf
| ) |  |

protected

## xer2oer()

int ASN1RecodeOer::xer2oer | ( | const asn_TYPE_descriptor_s & | td,
|  | TTCN_Buffer & | buf
| ) |  |

protected

The documentation for this class was generated from the following file:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/CodecOer.hh